Update a project's name and description
PATCH
/api/v1/projects/{projectIdOrKey}
const url = 'https://app.avera.io/api/v1/projects/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://app.avera.io/api/v1/projects/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectIdOrKey
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string | null
description
string | null
Example generated
{ "name": "example", "description": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
key
required
string
name
required
string
description
string | null
status
required
string
templateId
string | null
defaultBranchId
string | null format: uuid
isDefault
required
boolean
createdAt
required
string format: date-time
createdBy
required
string format: uuid
modifiedAt
required
string format: date-time
modifiedBy
required
string format: uuid